<%= form_with(model: bdd_book, local: true) do |form| %>
  <% if bdd_book.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(bdd_book.errors.count, "error") %> prohibited this bdd_book from being saved:</h2>

      <ul>
        <% bdd_book.errors.full_messages.each do |message| %>
          <li><%= message %></li>
        <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= form.label :title %>
    <%= form.text_field :title %>
  </div>

  <div class="field">
    <%= form.label :author %>
    <%= form.text_field :author %>
  </div>

  <div class="field">
    <%= form.label :category %>
    <%= form.text_field :category %>
  </div>

  <div class="field">
    <%= form.label :year %>
    <%= form.number_field :year %>
  </div>

  <div class="actions">
    <%= form.submit %>
  </div>
<% end %>
